Summary:	Utilities to create and check MS-DOS FAT filesystems
Name:		dosfstools
Version:        3.0.16
Release:        %mkrel 1
Source0:	http://www.daniel-baumann.ch/files/software/dosfstools/%{name}-%{version}.orig.tar.xz
License:	GPLv3+
URL:		http://www.daniel-baumann.ch/software/dosfstools/
Group:		File tools
Obsoletes:	mkdosfs-ygg
Provides:	mkdosfs-ygg = %{version}

%description
Inside of this package there are two utilities to create and to
check MS-DOS FAT filesystems on either harddisks or floppies under
Linux.  This version uses the enhanced boot sector/superblock
format of DOS 3.3+ as well as provides a default dummy boot sector
code.

%prep
%setup -q

%build
%make PREFIX=%{_prefix} CFLAGS="$RPM_OPT_FLAGS -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64"

%install
%make DESTDIR=%{buildroot} install-bin install-man PREFIX=%{_prefix} SBINDIR=%{_sbindir}

%files
%doc %doc ChangeLog doc/README.*
%{_sbindir}/mkdosfs
%{_sbindir}/mkfs.msdos
%{_sbindir}/mkfs.vfat
%{_sbindir}/fsck.msdos
%{_sbindir}/fsck.vfat
%{_sbindir}/dosfsck
%{_sbindir}/dosfslabel
%{_mandir}/man8/*


%changelog

* Sat Mar 02 2013 luigiwalser <luigiwalser> 3.0.16-1.mga3
+ Revision: 401033
- 3.0.16

* Sun Feb 24 2013 luigiwalser <luigiwalser> 3.0.15-1.mga3
+ Revision: 400209
- 3.0.15
- remove the patches which were accepted upstream

* Wed Jan 30 2013 luigiwalser <luigiwalser> 3.0.14-1.mga3
+ Revision: 393604
- 3.0.14

* Fri Jan 11 2013 umeabot <umeabot> 3.0.13-2.mga3
+ Revision: 349065
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.0.13-1.mga3
+ Revision: 308313
- 3.0.13
- remove upstreamed patch

* Thu Sep 20 2012 sander85 <sander85> 3.0.12-2.mga3
+ Revision: 296349
- usrmove
- Add few patches from Fedora

* Mon Nov 14 2011 dams <dams> 3.0.12-1.mga2
+ Revision: 167422
- new version 3.0.12

* Wed Mar 23 2011 tv <tv> 3.0.11-1.mga1
+ Revision: 75801
- new release

* Tue Jan 11 2011 blino <blino> 3.0.10-1.mga1
+ Revision: 5774
- imported package dosfstools


* Sat Dec 11 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.0.10-1mdv2011.0
+ Revision: 620583
- update to 3.0.10
- fix buildroot use

* Thu Dec 02 2010 Oden Eriksson <oeriksson@mandriva.com> 3.0.9-2mdv2011.0
+ Revision: 604811
- rebuild

* Sun Jan 31 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.9-1mdv2010.1
+ Revision: 498841
- update to new version 3.0.9

* Sat Jan 23 2010 Frederik Himpe <fhimpe@mandriva.org> 3.0.8-1mdv2010.1
+ Revision: 495291
- update to new version 3.0.8

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.7-1mdv2010.1
+ Revision: 481980
- update to new version 3.0.7

* Mon Jul 27 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.5-1mdv2010.0
+ Revision: 400703
- update to new version 3.0.5

* Tue Jul 21 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.4-1mdv2010.0
+ Revision: 398310
- update to new version 3.0.4

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 3.0.3-1mdv2010.0
+ Revision: 377310
- Update to new version 3.0.3
- Remove old patches
- Switch to new Source URL and website
- License is GPLv3+ now

* Thu Jan 22 2009 Pascal Terjan <pterjan@mandriva.org> 2.11-11mdv2009.1
+ Revision: 332485
- dosfslabel currently returns 0 if we asked to read label and 1 if we asked to set it.
  Always return 0

* Sat Dec 20 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-10mdv2009.1
+ Revision: 316669
- rediffed one fuzzy patch

* Wed Jul 02 2008 Oden Eriksson <oeriksson@mandriva.com> 2.11-9mdv2009.0
+ Revision: 230677
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

* Tue Jan 29 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.11-7mdv2008.1
+ Revision: 159954
- oops, fix typo
- don't remove fsck.vfat & fsck.msdos as it's considered safe now and
  should be automatically run when needed and/or 'fsck' is used

* Sat Dec 22 2007 Götz Waschk <waschk@mandriva.org> 2.11-6mdv2008.1
+ Revision: 136747
- drop patch 2 to fix bug #36279

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Götz Waschk <waschk@mandriva.org> 2.11-5mdv2008.1
+ Revision: 117348
- update patch 4 to fix bug #36052 (missing dosfslabel)

* Tue Nov 20 2007 Götz Waschk <waschk@mandriva.org> 2.11-4mdv2008.1
+ Revision: 110699
- add patch from Fedora to add dosfslabel program
- fix large file support cflags to fix bug #27436


* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.0
+ Revision: 108279
- Import dosfstools

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 2.11-3mdv2007.1
- Rebuild

* Tue May 16 2006 Stefan van der Eijk <stefan@eijk.nu> 2.11-2mdk
- rebuild for sparc

* Fri Dec 23 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.11-1mdk
- 2.11
- sync with fedora
- fix summary-ended-with-dot
- convert changelog to utf-8

* Sun Oct 09 2005 Michael Scherer <misc@mandriva.org> 2.10-3mdk
- Rebuild

* Sat Jul 10 2004 Götz Waschk <waschk@linux-mandrake.com> 2.10-2mdk
- patch 3: fix build

* Sun Apr 18 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.10-1mdk
- 2.10
- drop prefix tag
- ship with 2.4 kernel header (S1) and compile against it (P2)
- drop patches that hasn't been applied
- spec cosmetics

